#ifndef PARASETITEM_H
#define PARASETITEM_H

#include <QObject>

class ParaSetItem : public QObject
{
    Q_OBJECT
public:
    explicit ParaSetItem(QObject *parent = 0);

    ~ParaSetItem();

public:
    ParaSetItem(const ParaSetItem & item);
    ParaSetItem & operator= (const ParaSetItem & item);

public:
    void clean();

private:
    void copyData(const ParaSetItem & item);

public:
    int m_macType;          // 机器类型
    int m_showPriority;     // 显示优先级
    QString m_name;         // label名称
    QString m_topImageName; // 顶图图标logo名称
    int m_paraType;     // 参数类型

signals:

public slots:
};

#endif // PARASETITEM_H
